<table>
    <colgroup>
        <col width="18px">
        <col width="calc(35% - 18px)">
        <col width="15%">
        <col width="15%">
        <col width="35%">
    </colgroup>
    <thead>
    <tr>
        <th></th>
        <th>수집시각</th>
        <th>수집일련번호</th>
        <th>통신코드</th>
        <th>통신코드 내용</th>
    </tr>
    </thead>
    <tbody></tbody>
    <tfoot></tfoot>
</table>

<script>
    const endPoint = "getPeriodSigCommStatistics";

    function callBack(data) {
        if (data && data.length) {
            let cnt = data.length.toLocaleString();
            return `<tr>
                       <td></td>
                       <td>합계</td>
                       <td>${cnt}</td>
                    </tr>`;
        }
    }
    function getTableRow(obj, idx) {
        return `<tr onClick="rowClick(this, 'container-2 table tbody')">
                  <td><input style="display: none" type="checkbox" id="check_${idx}"
                             onChange="checkEvent(this, 'container-2 table tbody')"></td>
                  <td>${obj.coldate}</td>
                  <td>${obj.collctSn}</td>
                  <td>${obj.commCd || '-'}</td>
                  <td>${obj.comNm || '-'}</td>
                </tr>`;
    }
</script>